Skip to main content
GET
Get user by ID

Authorizations

x-api-key
string
header
required

Company API key for authentication

Path Parameters

userId
string
required

User ID to retrieve

Response

User retrieved successfully

id
string
required

User ID

Example:

"user123"

identifiers
object[]
required

User identifiers (email/phone)

primary_identifier
object
required
auth_methods
enum<string>[]
required

Available authentication methods

Available options:
password,
google,
client_platform
Example:
created_at
string<date-time>
required

User creation timestamp

Example:

"2024-01-01T00:00:00.000Z"

updated_at
string<date-time>
required

User last update timestamp

Example:

"2024-01-01T00:00:00.000Z"

roles
object[]

User roles

first_name
string

User first name

Example:

"John"

last_name
string

User last name

Example:

"Doe"

suspended_at
string<date-time>

User suspension timestamp

Example:

"2024-01-01T00:00:00.000Z"

metadata
object | null

Additional user metadata